<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$order=$ankieta->getNextSubmitParameters()['order'];
$testedProduct=$ankieta->getValue('PROD'.$order."PR");
$testedProdctLabs=$ankieta->getLabels('PROD'.$order."PR");

$ankieta->writeGap();
//$ankieta->writeHeader("OGÓLNA OCENA - ".$testedProdctLabs[$testedProduct]);
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

?>

<!--<h2 class="opisBig alert alert-warning"><b>ANKIETER:</b> POKAŻ KARTĘ B<br/>
</h2>-->

<?php

$answers=array();
$answers[7]='bardzo mi się podoba';
$answers[6]='podoba mi się';
$answers[5]='raczej mi się podoba';
$answers[4]='ani mi się podoba, ani nie podoba';
$answers[3]='raczej mi się nie podoba';
$answers[2]='nie podoba mi się';
$answers[1]='bardzo mi się nie podoba';
$ankieta->writeRadio('Q1111_'.$order,'Jak po użyciu ogólnie ocenia Pani tę butelkę oleju? <br/>Proszę wziąć pod uwagę samą butelkę, a nie etykietę.',$answers,true,@clean($data['Q1111_'.$order]),'NUMERIC',"<span onClick=\"doLogicQ1111($(this).find('input:radio').attr('id'));\">","</span>");


?>

<div id="divQ1111">
        <?
        $ankieta->writeOpen(2,300,'P1_'.$order,'Co się Pani podoba w tej butelce?',300,@clean($data['P1_'.$order],''), "STRING", '300',true);
        ?>
    <?
    $ankieta->writeGap();
    ?>
        <?
        $ankieta->writeOpen(2,300,'P2_'.$order,'A co się Pani nie podoba w tej butelce?',300,@clean($data['P2_'.$order],''), "STRING", '300',true);
        ?>
</div>


<script type="text/javascript">
    $(document).ready(function () {
        $("#divQ1111").hide();
    });

    function doLogicQ1111(id) {
        var value=parseFloat($('#' + id).val(),10);
        if (value >= 5 && value <=7) {
            $("#divQ1111").show();
            show(['P1_<? print $order;?>']);
            clean(['P2_<? print $order;?>']);
        } else {
            if (value !== 4) {
                $("#divQ1111").show();
                show(['P2_<? print $order;?>']);
                clean(['P1_<? print $order;?>']);
            } else {
                $("#divQ1111").hide();
                clean(['P1_<? print $order;?>']);
                clean(['P2_<? print $order;?>']);
            }
        }
    }


</script>